package csci291.gds.console;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.event.KeyAdapter;

import javax.swing.JFrame;
import javax.swing.JTextArea;

public class ConsoleGUI {
	private JFrame frame;
	private JTextArea console;
	
	public ConsoleGUI(String name) {
		frame = new JFrame(name);
		frame.setMinimumSize(new Dimension(800, 600));
		console = new JTextArea();
		console.setBackground(Color.BLACK);
		console.setForeground(Color.GREEN);
		console.setSize(800, 600);
		
		frame.getContentPane().add(console);
		frame.pack();
		frame.setVisible(true);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		console.setEditable(false);
		console.setLineWrap(true);
		console.setFont(new Font("Courier", Font.PLAIN, 12));
	}
	
	public void clear() {
		console.setText("");
	}
	
	public void printLine(String line) {
		console.append(line + "\n");
	}
	
	public void print(String line) {
		console.append(line);
	}
	
	public void setKeyInputHandler(KeyAdapter keyAdapter) {
		console.addKeyListener(keyAdapter);
	}
	
	public void exit() {
		System.exit(0);
	}
}
